Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface EntityDS

All Superinterfaces:
  EntityNode, FunctionCollection, Node, java.io.Serializable

All Known Subinterfaces:
  XDS

    public interface EntityDS

extends FunctionCollection

An entity data service.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.ld.metadata.FunctionCollection
`FunctionCollection.CNFRelationalBinding, FunctionCollection.DataAccessRole, FunctionCollection.DataSourceBinding, FunctionCollection.DelimitedBinding, FunctionCollection.JavaBinding, FunctionCollection.RelationalBinding, FunctionCollection.WebServiceBinding, FunctionCollection.XmlBinding`

Field Summary

Fields inherited from interface com.bea.ld.metadata.FunctionCollection
`AUX_FUNCTION_LIB, DELIMITED_FILE_XDS, GENERIC_AUXILIARY, GENERIC_KINDS, GENERIC_LOGICAL, GENERIC_PHYSICAL, GENERIC_UNKNOWN, JAVA_FUNCTION_XDS, RELATIONAL_XDS, UNKNOWN, USER_DEFINED_VIEW_XDS, WEBSERVICE_XDS, XML_FILE_XDS`

Method Summary
`java.util.Collection<Function>` | `getFunctions(Function.DataAccessRole functionDataAccessRole)`
`java.util.Collection<Key>` | `getKeys()`
`java.util.Collection<Relationship>` | `getRelationships()`
`Type` | `getTargetType()`

Methods inherited from interface com.bea.ld.metadata.FunctionCollection
`getAnnotation, getDataAccessRole, getDataSourceBinding, getFunction, getFunctions, getGenericKind, getKind, getModificationDate, getNamespaces, getSchemas, getSecureResources, isLogical, isXDS`

Methods inherited from interface com.bea.ld.metadata.EntityNode
`getBody, getDependencyRefs, getDependencyRefs, getDependentRefs, getDependentRefs, getNodeReference`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Method Detail

### getTargetType

    Type getTargetType()

  Returns:
    The target type of the entity data service. May not be `null`.

### getKeys

    java.util.Collection<Key> getKeys()

  Returns:
    A collection containing the `Key`s defined for this data service. May be empty but not `null`.

### getRelationships

    java.util.Collection<Relationship> getRelationships()

  Returns:
    A collection containing the `Relationship`s defined for this data service. May be empty but not `null`.

### getFunctions

    java.util.Collection<Function> getFunctions(Function.DataAccessRole functionDataAccessRole)

  Parameters:
    `functionDataAccessRole` - The data access role of the functions to be retrieved.
  Returns:
    The collection of functions in this data service, whose data access role matches the specified one. May be empty but not `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.